Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Interface ModeShapeConfiguration.SequencerDefinition<ReturnType>

Type Parameters:
  `ReturnType` - the type of the configuration component that owns this definition object

All Superinterfaces:
  ModeShapeConfiguration.ChooseClass<StreamSequencer,ModeShapeConfiguration.SequencerDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.SequencerDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.SequencerDefinition<ReturnType>>

All Known Implementing Classes:
  ModeShapeConfiguration.SequencerBuilder

Enclosing class:
  ModeShapeConfiguration

    public static interface ModeShapeConfiguration.SequencerDefinition<ReturnType>

extends ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.SequencerDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.SequencerDefinition<ReturnType>>, ModeShapeConfiguration.ChooseClass<StreamSequencer,ModeShapeConfiguration.SequencerDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>

Interface used to set up and define a `sequencer` instance.

Method Summary
`Set<PathExpression>` | `getPathExpressions()` Get the path expressions from the saved configuration.
`ModeShapeConfiguration.SequencerDefinition<ReturnType>` | `sequencingFrom(PathExpression inputPathExpression)` Specify the input `path expression`, which determines when this sequencer will be executed.
`ModeShapeConfiguration.PathExpressionOutput<ReturnType>` | `sequencingFrom(String inputPathExpression)` Specify the input `path expression` represented as a string, which determines when this sequencer will be executed.

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetProperties
`getProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.ChooseClass
`usingClass, usingClass`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Method Detail

### sequencingFrom

    ModeShapeConfiguration.PathExpressionOutput<ReturnType> sequencingFrom(String inputPathExpression)

  Specify the input `path expression` represented as a string, which determines when this sequencer will be executed.

  Parameters:
    `inputPathExpression` - the path expression for nodes that, when they change, will be passed as an input to the sequencer
  Returns:
    the interface used to specify the output path expression; never null

### sequencingFrom

    ModeShapeConfiguration.SequencerDefinition<ReturnType> sequencingFrom(PathExpression inputPathExpression)

  Specify the input `path expression`, which determines when this sequencer will be executed.

  Parameters:
    `inputPathExpression` - the path expression for nodes that, when they change, will be passed as an input to the sequencer
  Returns:
    the interface used to continue specifying the configuration of the sequencer

### getPathExpressions

    Set<PathExpression> getPathExpressions()

  Get the path expressions from the saved configuration.

  Returns:
    the set of path expressions; never null but possibly empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.